> ## Documentation Index
> Fetch the complete documentation index at: https://api.lancepilot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workspace

> Update the specified workspace.



## OpenAPI

````yaml PATCH /workspaces/{workspace}
openapi: 3.1.0
info:
  title: Lancepilot API
  description: API for Lancepilot
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://lancepilot.com/api/v3
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace}:
    patch:
      tags:
        - Workspace
      summary: Update Workspace
      description: Update the specified workspace.
      parameters:
        - name: workspace
          in: path
          description: ID of the workspace to update.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Workspace update parameters.
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - type
                - status
              properties:
                name:
                  type: string
                  description: New workspace name.
                type:
                  type: string
                  enum:
                    - INTERNAL
                    - PARTNER
                  description: Must be a valid workspace type.
                status:
                  type: boolean
                  description: New status (true for active, false for inactive).
      responses:
        '200':
          $ref: '#/components/responses/Update200'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
components:
  responses:
    '401':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
            required:
              - message
    '404':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
              status:
                type: integer
                example: 404
            required:
              - message
              - status
    Update200:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: integer
                example: 200
              message:
                type: string
                example: Resource updated successfully.
              data:
                type: object
                description: Updated resource data.
            required:
              - status
              - message
              - data
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````